## VOICE Dial Call request VOICE Dial Call request |

## Functions

QmiMessageVoiceDialCallInput * | qmi_message_voice_dial_call_input_new ()
QmiMessageVoiceDialCallInput * | qmi_message_voice_dial_call_input_ref ()
void | qmi_message_voice_dial_call_input_unref ()
gboolean | qmi_message_voice_dial_call_input_get_calling_number ()
gboolean | qmi_message_voice_dial_call_input_set_calling_number ()
QmiMessageVoiceDialCallOutput * | qmi_message_voice_dial_call_output_ref ()
void | qmi_message_voice_dial_call_output_unref ()
gboolean | qmi_message_voice_dial_call_output_get_call_id ()
gboolean | qmi_message_voice_dial_call_output_get_result ()
void | qmi_client_voice_dial_call ()
QmiMessageVoiceDialCallOutput * | qmi_client_voice_dial_call_finish ()

## Types and Values

| QmiMessageVoiceDialCallInput
| QmiMessageVoiceDialCallOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageVoiceDialCallInput
        ╰── QmiMessageVoiceDialCallOutput

## Description

## Functions

### qmi_message_voice_dial_call_input_new ()

    QmiMessageVoiceDialCallInput *
    qmi_message_voice_dial_call_input_new (void);

Allocates a new QmiMessageVoiceDialCallInput.

#### Returns

the newly created QmiMessageVoiceDialCallInput. The returned value should be freed with `qmi_message_voice_dial_call_input_unref()`.

Since: 1.14

### qmi_message_voice_dial_call_input_ref ()

    QmiMessageVoiceDialCallInput *
    qmi_message_voice_dial_call_input_ref (QmiMessageVoiceDialCallInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceDialCallInput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_voice_dial_call_input_unref ()

    void
    qmi_message_voice_dial_call_input_unref
                                   (QmiMessageVoiceDialCallInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceDialCallInput. |

Since: 1.14

### qmi_message_voice_dial_call_input_get_calling_number ()

    gboolean
    qmi_message_voice_dial_call_input_get_calling_number
                                   (QmiMessageVoiceDialCallInput *self,
                                    const gchar **value_calling_number,
                                    GError **error);

Get the 'Calling Number' field from `self` .

#### Parameters

self | a QmiMessageVoiceDialCallInput. |
value_calling_number | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_voice_dial_call_input_set_calling_number ()

    gboolean
    qmi_message_voice_dial_call_input_set_calling_number
                                   (QmiMessageVoiceDialCallInput *self,
                                    const gchar *value_calling_number,
                                    GError **error);

Set the 'Calling Number' field in the message.

#### Parameters

self | a QmiMessageVoiceDialCallInput. |
value_calling_number | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_voice_dial_call_output_ref ()

    QmiMessageVoiceDialCallOutput *
    qmi_message_voice_dial_call_output_ref
                                   (QmiMessageVoiceDialCallOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceDialCallOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_voice_dial_call_output_unref ()

    void
    qmi_message_voice_dial_call_output_unref
                                   (QmiMessageVoiceDialCallOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceDialCallOutput. |

Since: 1.14

### qmi_message_voice_dial_call_output_get_call_id ()

    gboolean
    qmi_message_voice_dial_call_output_get_call_id
                                   (QmiMessageVoiceDialCallOutput *self,
                                    guint8 *value_call_id,
                                    GError **error);

Get the 'Call ID' field from `self` .

#### Parameters

self | a QmiMessageVoiceDialCallOutput. |
value_call_id | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_voice_dial_call_output_get_result ()

    gboolean
    qmi_message_voice_dial_call_output_get_result
                                   (QmiMessageVoiceDialCallOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageVoiceDialCallOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.14

### qmi_client_voice_dial_call ()

    void
    qmi_client_voice_dial_call (QmiClientVoice *self,
                                QmiMessageVoiceDialCallInput *input,
                                guint timeout,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously sends a Dial Call request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_voice_dial_call_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientVoice. |
input | a QmiMessageVoiceDialCallInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.14

### qmi_client_voice_dial_call_finish ()

    QmiMessageVoiceDialCallOutput *
    qmi_client_voice_dial_call_finish (QmiClientVoice *self,
                                       GAsyncResult *res,
                                       GError **error);

Finishes an async operation started with `qmi_client_voice_dial_call()`.

#### Parameters

self | a QmiClientVoice. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_voice_dial_call()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageVoiceDialCallOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_voice_dial_call_output_unref()`.

Since: 1.14

## Types and Values

### QmiMessageVoiceDialCallInput

    typedef struct _QmiMessageVoiceDialCallInput QmiMessageVoiceDialCallInput;

The QmiMessageVoiceDialCallInput structure contains private data and should only be accessed using the provided API.

Since: 1.14

### QmiMessageVoiceDialCallOutput

    typedef struct _QmiMessageVoiceDialCallOutput QmiMessageVoiceDialCallOutput;

The QmiMessageVoiceDialCallOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14